Subject: Assigned to Group - Virtual App Support - Les Mills
From: Les Mills International <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Sun, 12 Apr 2020 06:53:53 +0000 (UTC)

Hi  A new ticket has been assigned to your group "Level 1". Please follow the link below to view the ticket.  Virtual App Support - Les Mills Submitted data  The following data was submitted.  Field nameSubmitted dataEmail address [email-masked] your name Molly Gibbs country United States state PA zipPostal 18020 Text box On Demand App Super Glitchy Question I need technical support Customer Yes Username gibbsmm1215 Phone 484-894-2146 Comments I love les mills on demand, but i'm very frustrated and disappointed with the app for the iphone. It's unnecessarily glitchy. I've had countless problems logging into my account, activating my account on other smart devices, and I've gotten a ridiculous amount of error messages. It makes using the app less enjoyable and it's very upsetting. utm_source utm_campaign utm_medium utm_code Last_Name https://lesmillsvirtualapp.freshdesk.com/helpdesk/tickets/3478